## org.biojava.bio.seq.io
Class SeqIOEventEmitter

    java.lang.Object
      org.biojava.bio.seq.io.SeqIOEventEmitter

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class SeqIOEventEmitter

extends Object

`SeqIOEventEmitter` is a utility class which scans a `Sequence` object and sends events describing its constituent data to a `SeqIOListener`. The listener should be able to reconstruct the `Sequence` from these events.

Since:
  1.2
Author:
  Keith James

Constructor Summary
`SeqIOEventEmitter(Comparator seqPropComparator, Comparator featureComparator)` Deprecated.

Method Summary
`void` `getSeqIOEvents(Sequence seq, SeqIOListener listener)` Deprecated. `getSeqIOEvents` scans a `Sequence` object and sends events describing its data to the `SeqIOListener`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeqIOEventEmitter

    public SeqIOEventEmitter(Comparator seqPropComparator,
                             Comparator featureComparator)

  Deprecated.

Method Detail

### getSeqIOEvents

    public void getSeqIOEvents(Sequence seq,
                               SeqIOListener listener)

  Deprecated.
  `getSeqIOEvents` scans a `Sequence` object and sends events describing its data to the `SeqIOListener`.

  Parameters:
    `seq` - a `Sequence`.
    `listener` - a `SeqIOListener`.